| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # DOMException.hpp File Reference Include dependency graph for DOMException.hpp: This graph shows which files directly or indirectly include this file: Go to the source code of this file.
## Compounds
class | DOMException
## Variables
XERCES_CPP_NAMESPACE_BEGIN class | MemoryManager
| DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). More...
## Variable Documentation
XERCES_CPP_NAMESPACE_BEGIN class MemoryManager
| DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situations, such as out-of-bound errors when using `DOMNodeList`. Implementations should raise other exceptions under other circumstances. For example, implementations should raise an implementation-dependent exception if a `null` argument is passed. Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions. See also the Document Object Model (DOM) Level 2 Core Specification. Since: DOM Level 1

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.